my version is outdated??

New Member
Joined
Oct 6, 2005
Messages
1
Best answers
0
wats going on for my version im using halflife v46/1.1.1.0 n esf 1.2.3
but when i create will show out


Your earth's special forces executable is out of date.
Earth's Special Forces will now update to the current version
 

Users who are viewing this thread

Top